$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.2.147.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.2.147.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'CD39FC7D040FAA1B207A73E9AF6CC00163BA2EA88882C75A2597369AA0E79A26'
  checksumType = 'sha256'
  checksum64 = 'CD39FC7D040FAA1B207A73E9AF6CC00163BA2EA88882C75A2597369AA0E79A26'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-20.2.147-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
